#pragma once
#include "../base/provider_interface.hpp"

namespace lsp::providers::set_trace
{
    class SetTraceProvider : public INotificationProvider
    {
    public:
        SetTraceProvider() = default;
        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        void HandleNotification(const protocol::NotificationMessage& notification, ProviderContext& context) override;
    };
}
